JUCE: BluetoothMidiDevicePairingDialogue Class Reference

JUCE

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
BluetoothMidiDevicePairingDialogue Class Reference
juce_audio_utils » gui

Opens a Bluetooth MIDI pairing dialogue that allows the user to view and connect to Bluetooth MIDI devices that are currently found nearby. More...

`#include <juce_BluetoothMidiDevicePairingDialogue.h>`

## Static Public Member Functions
static bool | open (ModalComponentManager::Callback *exitCallback=nullptr, Rectangle< int > *btWindowBounds=nullptr)
| Opens the Bluetooth MIDI pairing dialogue, if it is available.
static bool | isAvailable ()
| Checks if a Bluetooth MIDI pairing dialogue is available on this platform.

## Detailed Description

Opens a Bluetooth MIDI pairing dialogue that allows the user to view and connect to Bluetooth MIDI devices that are currently found nearby.

The dialogue will ignore non-MIDI Bluetooth devices.

Only after a Bluetooth MIDI device has been paired will its MIDI ports be available through JUCE's MidiInput and MidiOutput classes.

This dialogue is currently only available on macOS targeting versions 10.11+, iOS and Android. When targeting older versions of macOS you should instead pair Bluetooth MIDI devices using the "Audio MIDI Setup" app (located in /Applications/Utilities). On Windows, you should use the system settings. On Linux, Bluetooth MIDI devices are currently not supported.

## Member Function Documentation

## ◆ open()

static bool BluetoothMidiDevicePairingDialogue::open | ( | ModalComponentManager::Callback * | exitCallback = `nullptr`,
|  | Rectangle< int > * | btWindowBounds = `nullptr`
| ) |  |
| static

Opens the Bluetooth MIDI pairing dialogue, if it is available.

Parameters

  exitCallback | A callback which will be called when the modal bluetooth dialog is closed.
  btWindowBounds | The bounds of the bluetooth window that will be opened. The dialog itself is opened by the OS so cannot be customised by JUCE.

Returns
  true if the dialogue was opened, false on error.

See also
  ModalComponentManager::Callback

## ◆ isAvailable()

static bool BluetoothMidiDevicePairingDialogue::isAvailable | ( |  | ) |
| static

Checks if a Bluetooth MIDI pairing dialogue is available on this platform.

On iOS, this will be true for iOS versions 8.0 and higher.

On Android, this will be true only for Android SDK versions 23 and higher, and additionally only if the device itself supports MIDI over Bluetooth.

On desktop platforms, this will typically be false as the bluetooth pairing is not done inside the app but by other means.

Returns
  true if the Bluetooth MIDI pairing dialogue is available, false otherwise.

The documentation for this class was generated from the following file:

- juce_BluetoothMidiDevicePairingDialogue.h